<div id="info">
<?
$f_pass = $_POST['f_pass'];
$df_pass = $_POST['df_pass'];
$f_name = $_POST['f_name'];
$f_mail = $_POST['f_mail'];
$f_logo = $_POST['f_logo'];
$f_podlogo = $_POST['f_podlogo'];
$style = $_POST['style'];

if($style != "vybrat"){
if($f_pass != "Password"){
if($f_pass != $df_pass){
echo "<div id='bad'>Hesla nesouhlasí<meta http-equiv='refresh' content='2;URL=index.php?id=nastaveni'></div>";
}
else{
if(ereg("^[0-9a-zA-Z]{3,15}$",$f_name)){
if(ereg("^[0-9a-zA-Z]{5,9}$",$f_pass)){
if(ereg("^[a-zA-Z0-9._-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$",$f_mail)){
/*if(ereg("^[-0-9a-zA-Z. _ěĚą©čČřŘľ®ýÝáÁíÍéÉůú]{1,50}$",$f_logo)){
if(ereg("^[-0-9a-zA-Z. _ěĚą©čČřŘľ®ýÝáÁíÍéÉůú]{1,50}$",$f_podlogo)){*/
$md5_pass = md5("$f_pass");

$popis = "
<?
\$account[\"name\"] = '$f_name';
\$account[\"pass\"] ='$md5_pass';
\$account[\"mail\"] = '$f_mail';
\$webpage[\"name\"] ='$f_logo';
\$webpage[\"info_text\"] = '$f_podlogo';
\$webpage[\"style\"] = '$style';
?>
";
?>
<?
$fp = FOpen ("../kernel/nastaveni.php", "w"); 
if(FWrite ($fp, $popis)):
FClose ($fp);
endif;
echo "<div id='good'>Nastavení webu aktualizováno<meta http-equiv='refresh' content='2;URL=index.php?id=nastaveni'></div>";
if($pass == "dc647eb65e6711e155375218212b3964"){
echo "<meta http-equiv='refresh' content='1;URL=logout.php'>";
}
/*}
else{
echo "<div id='bad'>Podnadpis obsahuje nepovolené znaky<meta http-equiv='refresh' content='2;URL=index.php?id=nastaveni'></div>";
}
}
else{
echo "<div id='bad'>Nadpis obsahuje nepovolené znaky<meta http-equiv='refresh' content='2;URL=index.php?id=nastaveni'></div>";
}*/
}
else{
echo "<div id='bad'>Musíte zadat platnou emailovou adresu<meta http-equiv='refresh' content='4;URL=index.php?id=nastaveni'></div>";
}
}
else{
echo "<div id='bad'>Heslo musí obsahovat minimálně 6 maximálně 9 číslic nebo písmen<meta http-equiv='refresh' content='4;URL=index.php?id=nastaveni'></div>";
}
}
else{
echo "<div id='bad'>Jméno musí obsahovat minimálně 3 maximálně 15 číslic nebo písmen<meta http-equiv='refresh' content='4;URL=index.php?id=nastaveni'></div>";
}
}
}
else{
echo "<div id='bad'>Nelze pouľít toto heslo<meta http-equiv='refresh' content='2;URL=index.php?id=nastaveni'></div>";
}
}
else{
echo "<div id='bad'>Vyberte styl webu<meta http-equiv='refresh' content='2;URL=index.php?id=nastaveni'></div>";
}
?>

</div>